<?xml version="1.0"?>

<model-hints>
	<model name="com.ajp.portal.model.Country">
		<field name="countryId" type="long" />
	</model>
	<model name="com.ajp.portal.model.LegalCase">
		<field name="uuid" type="String" />
		<field name="legalCaseId" type="long" />
		<field name="groupId" type="long" />
		<field name="companyId" type="long" />
		<field name="userId" type="long" />
		<field name="userName" type="String" />
		<field name="createDate" type="Date" />
		<field name="modifiedDate" type="Date" />
		<field name="status" type="int" />
		<field name="statusByUserId" type="long" />
		<field name="statusByUserName" type="String" />
		<field name="statusDate" type="Date" />
		<field name="title" type="String">
			<hint name="max-length">255</hint>
		</field>
		<field name="description" type="String">
			<hint name="max-length">5000</hint>
		</field>
		<field name="decisionDate" type="Date" />
		<field name="countryCategoryId" type="long" />
		<field name="subareaCategoryId" type="long" />
		<field name="summaryFileEntryId" type="long" />
		<field name="judgementFileEntryId" type="long" />
		<field name="url" type="String" >
			<hint name="max-length">1000</hint>
		</field>
	</model>
</model-hints>